using System;
using LeerDato;
namespace Calculadora
{
  public class Calculadora
  {
    // Simulación de una calculadora
    private double m_operando1;
    private double m_operando2;
    private double m_resultado;

    public void EstablecerOperandos(double op1,
                                    double op2)
    {
      m_operando1 = op1;
      m_operando2 = op2;
    }

    public double Resultado()
    {
      return m_resultado;
    }

    public int menú()
    {
      int op = 0;
      bool correcto = false;
      do
      {
        Console.WriteLine("  1. sumar");
        Console.WriteLine("  2. restar");
        Console.WriteLine("  3. multiplicar");
        Console.WriteLine("  4. dividir");
        Console.WriteLine("  5. salir");
        Console.Write("\nSeleccione la operación deseada: ");
        do
        {
          correcto = Leer.DatoInt(ref op);
        }
        while (!correcto || op < 0 || op > 5);
      }
      while (op < 1 | op > 5);
      return op;
    }

    public double Sumar()
    {
      m_resultado = m_operando1 + m_operando2;
      return m_resultado;
    }

    public double Restar()
    {
      m_resultado = m_operando1 - m_operando2;
      return m_resultado;
    }

    public double Multiplicar()
    {
      m_resultado = m_operando1 * m_operando2;
      return m_resultado;
    }

    public double Dividir()
    {
      m_resultado = m_operando1 / m_operando2;
      return m_resultado;
    }
  }
}
